#include <stdio.h>
#include <stdlib.h>
long long a[1000005];
int main()
{
    long long x,n,s=0,m1=0,m2=0,i;
    scanf("%lld%lld",&n,&x);
    for(i=0;i<n;i++)
    {
        scanf("%lld",&a[i]);
        if(m1>a[i]-x) m1=a[i]-x;
        if(m2<a[i]-x) m2=a[i]-x;
    }
    s+=abs(m1)+abs(m2);
    if(abs(m1)<abs(m2))
    s+=abs(m1);
    else s+=abs(m2);
    printf("%lld\n",s);
    return 0;
}